org.apache.tinkerpop.gremlin.algorithm.generator

## Class CommunityGeneratorTest.DifferentDistributionsTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.algorithm.generator.AbstractGeneratorTest
    - - org.apache.tinkerpop.gremlin.algorithm.generator.CommunityGeneratorTest.DifferentDistributionsTest

- Enclosing class:
    CommunityGeneratorTest

      public static class CommunityGeneratorTest.DifferentDistributionsTest
      extends AbstractGeneratorTest

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Distribution` | `communityDistribution`
    `double` | `crossPcent`
    `Distribution` | `degreeDistribution`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DifferentDistributionsTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterLoadGraphWith(Graph graph)`
    `static Iterable<Object[]>` | `data()`
    `void` | `shouldGenerateDifferentGraph()`
    `void` | `shouldGenerateSameGraph()`
    `protected Iterable<Vertex>` | `verticesByOid(Graph graph)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.algorithm.generator.AbstractGeneratorTest

      `same`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### communityDistribution

          public Distribution communityDistribution

    - #### degreeDistribution

          public Distribution degreeDistribution

    - #### crossPcent

          public double crossPcent

  - ### Constructor Detail

    - #### DifferentDistributionsTest

          public DifferentDistributionsTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### shouldGenerateDifferentGraph

          public void shouldGenerateDifferentGraph()
                                            throws Exception

      Throws:
        `Exception`

    - #### shouldGenerateSameGraph

          public void shouldGenerateSameGraph()
                                       throws Exception

      Throws:
        `Exception`

    - #### afterLoadGraphWith

          protected void afterLoadGraphWith(Graph graph)
                                     throws Exception

      Overrides:
        `afterLoadGraphWith` in class `AbstractGremlinTest`
      Throws:
        `Exception`

    - #### verticesByOid

          protected Iterable<Vertex> verticesByOid(Graph graph)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.